Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233893 - openvrml-devel: unowned directories
Summary: openvrml-devel: unowned directories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvrml
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Braden McDaniel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 17:03 UTC by Michael Schwendt
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.16.3-4.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 16:13:21 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-25 17:03:46 UTC
--- openvrml.spec.orig  2007-03-25 18:10:07.000000000 +0200
+++ openvrml.spec       2007-03-25 19:03:35.000000000 +0200
@@ -106,8 +106,10 @@
 %files devel
 %doc AUTHORS COPYING.LESSER ChangeLog NEWS README THANKS
 %doc doc/manual
+%dir %{_includedir}/%{name}
 %{_includedir}/%{name}/openvrml-common.h
 %{_includedir}/%{name}/openvrml-config.h
+%dir %{_includedir}/%{name}/openvrml
 %{_includedir}/%{name}/openvrml/*.h
 %{_libdir}/libopenvrml.so
 %{_libdir}/pkgconfig/openvrml.pc

Comment 1 Braden McDaniel 2007-03-25 19:18:51 UTC
Okay; I didn't even know about %dir. I was under the impression that rpm would
clean up a directory automatically once it didn't have any more files in it.

Additionally, I suppose the gl-devel subpackage needs

%dir %{_includedir}/%{name}/openvrml/gl


Comment 2 Michael Schwendt 2007-03-25 20:26:50 UTC
RPM does that only if the directory is included in a package.

Query your package in verbose list-mode to display all the files
that are included. For example: rpm -qplv somepackage.i386.rpm
Watch out for the lines in the list that start with 'd'. Just like
with "ls", those are the directories. Every directory that belongs
to your package's files should be included (under consideration of
sub-package dependencies).

[...]

> Additionally, I suppose the gl-devel subpackage needs
> 
> %dir %{_includedir}/%{name}/openvrml/gl

No. The package includes

  %{_includedir}/%{name}/openvrml/gl

already, which means to include the directory "gl" and the entire tree
below it.

[...]

There are alternative ways on how to include directories.

Method one:

  %files
  ...
  /usr/lib/foo/

This includes the specified directory "foo" and everything in it
recursively, provided that "foo" is a directory. /usr and /usr/lib,
however, don't belong into the package. The '/' at the end is a
convenient way to make it clear that "foo/" is supposed to be a
directory and not a single file.

Method two:

  %files
  ...
  %dir /usr/lib/foo
  /usr/lib/foo/*

This includes the same files than method one, except it is more explicit.
If "foo" contains sub-directories, these are included recursively due
to the wildcard '*' and just as with method one.

HTH.


Comment 3 Braden McDaniel 2007-03-27 16:13:21 UTC
Thanks for the explanation.


Note You need to log in before you can comment on or make changes to this bug.